# CONTRIBUTING

## Issues

Whether you find a bug, something that is not clarified or a feature request, feel free to 
[open a issue](https://github.com/olmps/memo/issues).

When creating an issue, please provide as much information as possible in order to help the project maintainers to 
understand and track the issue. It may have:

- Goal
- Expected Results
- Actual Results
- Steps to Reproduce
- Code samples reproducing the issue
- Version of the project which has the bug

## Pull Requests

When creating Pull Requests, follow the most [common good practices](https://gist.github.com/MarcDiethelm/7303312), 
respect the swiftlint static checks (modifications/exceptions may be discussed), and create an awesome description so 
we can understand it without asking any whys.

## Commit Messages

Commit messages matter. Aim to be succinct and descriptive at the same time. We consider as a good source 
[How to Write a Git Commit Message](https://chris.beams.io/posts/git-commit/) from Chris Beams.